nautilus-menu-provider
3
LIBNAUTILUS-EXTENSION Library

# nautilus-menu-provider

## Synopsis

                        NautilusMenuProvider;
                        NautilusMenuProviderIface;
    GList *             nautilus_menu_provider_get_file_items
                                                            (NautilusMenuProvider *provider,
                                                             GtkWidget *window,
                                                             GList *files);
    GList *             nautilus_menu_provider_get_background_items
                                                            (NautilusMenuProvider *provider,
                                                             GtkWidget *window,
                                                             NautilusFileInfo *current_folder);
    GList *             nautilus_menu_provider_get_toolbar_items
                                                            (NautilusMenuProvider *provider,
                                                             GtkWidget *window,
                                                             NautilusFileInfo *current_folder);
    void                nautilus_menu_provider_emit_items_updated_signal
                                                            (NautilusMenuProvider *provider);

## Object Hierarchy

      GInterface
       +----NautilusMenuProvider

## Prerequisites

NautilusMenuProvider requires GObject.

## Signals

      "items-updated"                                  : Run Last

## Description

## Details

### NautilusMenuProvider

    typedef struct _NautilusMenuProvider NautilusMenuProvider;

### NautilusMenuProviderIface

    typedef struct {
    	GTypeInterface g_iface;

    	GList *(*get_file_items)       (NautilusMenuProvider *provider,
    					GtkWidget            *window,
    					GList                *files);
    	GList *(*get_background_items) (NautilusMenuProvider *provider,
    					GtkWidget            *window,
    					NautilusFileInfo     *current_folder);
    	GList *(*get_toolbar_items)    (NautilusMenuProvider *provider,
    					GtkWidget            *window,
    				        NautilusFileInfo     *current_folder);
    } NautilusMenuProviderIface;

### nautilus_menu_provider_get_file_items ()

    GList *             nautilus_menu_provider_get_file_items
                                                            (NautilusMenuProvider *provider,
                                                             GtkWidget *window,
                                                             GList *files);

`provider` :

`window` :

`files` :

Returns :

### nautilus_menu_provider_get_background_items ()

    GList *             nautilus_menu_provider_get_background_items
                                                            (NautilusMenuProvider *provider,
                                                             GtkWidget *window,
                                                             NautilusFileInfo *current_folder);

`provider` :

`window` :

`current_folder` :

Returns :

### nautilus_menu_provider_get_toolbar_items ()

    GList *             nautilus_menu_provider_get_toolbar_items
                                                            (NautilusMenuProvider *provider,
                                                             GtkWidget *window,
                                                             NautilusFileInfo *current_folder);

`provider` :

`window` :

`current_folder` :

Returns :

### nautilus_menu_provider_emit_items_updated_signal ()

    void                nautilus_menu_provider_emit_items_updated_signal
                                                            (NautilusMenuProvider *provider);

`provider` :

## Signal Details

### The `"items-updated"` signal

    void                user_function                      (NautilusMenuProvider *nautilusmenuprovider,
                                                            gpointer              user_data)                 : Run Last

`nautilusmenuprovider` :

  the object which received the signal.

`user_data` :

  user data set when the signal handler was connected.